> ## Name

> cgGLEnableProgramProfiles - enable all profiles associated with a combined program

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLEnableProgramProfiles( CGprogram program );

> ## Parameters

> program
>   The combined program for which the profiles will be enabled.

> ## Return Values

> None.

> ## Description

> cgGLEnableProgramProfiles enables the profiles for all of the programs in a combined program.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

> CG_INVALID_PROFILE_ERROR is generated if the profile for any of the programs in program is not a supported OpenGL profile.

> ## History

> cgGLEnableProgramProfiles was introduced in Cg 1.5.

> ## See Also

> cgGLDisableProgramProfiles, cgCombinePrograms